import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand, EditorCommandGroup } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/extensions/text-align}
 */
export declare function useAlignleft(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/extensions/text-align}
 */
export declare function useAligncenter(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/extensions/text-align}
 */
export declare function useAlignright(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useAlignments(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand[]>;
export declare function useAlignmentsGroup(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommandGroup>;
